![](https://github.com/Tencent/bk-sops/blob/master/docs/wiki/img/wiki_sops.png)
# 标准运维，一套成熟稳定的流程编排调度引擎！

## 导读
>标准运维是腾讯蓝鲸体系中的一款SaaS产品，它助力运维实现跨系统的调度自动化。通过一套成熟稳定的流程编排调度引擎，基于蓝鲸PaaS平台的API网关服务对接企业内部各个系统API的能力，把在多系统间切换的工作模式整合到一个流程中，不仅可以将腾讯蓝鲸智云体系内的服务（如：配置平台、作业平台、通知服务等）进行整合，而且提供了自定义插件开发能力，让用户可以将自己企业内独有的系统接入并整合，实现一键自动化调度。
![](https://github.com/Tencent/bk-sops/blob/master/docs/wiki/img/wiki_product.png)

## 功能特性
![](https://github.com/Tencent/bk-sops/blob/master/docs/wiki/img/wiki_feature.png)

## 定位
腾讯蓝鲸智云根据自身的发展，将运维的发展历程分为四个阶段：
- 第一阶段：解放基础运维工作，开启WEB自动化时代
- 第二阶段：进入调度自动化时代，开放的API，连接一切
- 第三阶段：全方位的运营保障，用工具文化，引领运维新境界
- 第四阶段：探索运维价值，用数据驱动运营分析，实现智能决策，辅助运营

标准运维通过强大的流程编排调度引擎，整合运维系统，使运维工作进入到第二个阶段，为企业实现全方位的运营保障和智能运维打下坚实基础。

## 价值
蓝鲸智云体系提供了配置管理、作业执行、消息服务等基础平台和功能，助力企业解放基础运维工作。有的企业在使用蓝鲸前，已经有一些运维系统，并且从旧系统迁移到蓝鲸智云的产品需要一段时间；有的企业会借助蓝鲸智云强大的开发框架以及完整的运维开发培训体系，定制化开发运维系统。

企业内这些系统各司其职时，运维人员能充分利用某一个系统的优势，完成某一个场景下的运维工作，如使用作业平台执行脚本、分发文件。但是在遇到复杂的运维场景如业务发布新版本时，往往需要在多个系统间按照一定顺序执行一些操作，如发布前的版本准备、告警屏蔽，发布中的进程起停、版本更新，以及发布后的测试检查，解除告警屏蔽等。这时候可以利用标准运维跨系统编排调度能力，把这些步骤按顺序配置到一个流程模板中，串连碎片操作，提高发布效率，并且可以在下次发布时重复使用，助力业务发布标准化、自动化。

标准运维屏蔽了这些底层系统差异，让运维人员可以将业务日常的运维工作交给产品、开发、测试等人员执行，实现业务的发布、变更等工作自助化。并通过与蓝鲸 PaaS 平台深度整合，为用户提供了“轻应用”和“职能化”功能，进一步降低用户的操作成本，提高自助率。

## 未来
我们希望通过开源，能够促进IT运维圈子同仁的凝聚力，共同构建一个友好、活跃的社区；相信大家的加入和共同陪伴一定可以使这个大生态社区变得更加强大、优秀。
![](https://github.com/Tencent/bk-sops/blob/master/docs/wiki/img/wiki_future.png)

## 关于开源协议
标准运维采用的是MIT开源协议。MIT是和BSD一样宽范的许可协议，作者只想保留版权，而无任何其他的限制。使用者必须在发行版里包含原许可协议的声明，无论是以二进制发布的还是以源代码发布的。

## 欢迎一起交流
![](https://github.com/Tencent/bk-sops/blob/master/docs/wiki/img/wiki_communication.png)


## 腾讯蓝鲸智云
腾讯蓝鲸智云体系由平台级产品和通用 SaaS 服务组成，平台包括管控平台、配置平台、作业平台、PaaS 平台等，通用 SaaS 包括节点管理、标准运维、日志检索、蓝鲸监控、故障自愈等，为各种云（公有云、私有云、混合云）的用户提供不同场景、不同需求的一站式技术运营解决方案。

腾讯蓝鲸体系产品架构图-社区版  
![](https://github.com/Tencent/bk-sops/blob/master/docs/wiki/img/wiki_blueking.png)

说明：  
1、腾讯蓝鲸是一个体系化产品，需要各产品整体配合使用，才能发挥最大的功能价值；  
2、社区版中，目前开源的产品有：配置平台、PaaS平台、标准运维；  
3、配置平台、PaaS平台可以作为原子平台单独部署使用；  
4、标准运维必须跟整个体系配合使用。

开源产品链接  
标准运维：https://github.com/Tencent/bk-sops  
PaaS平台：https://github.com/Tencent/bk-PaaS  
配置平台：https://github.com/Tencent/bk-cmdb  
容器管理平台：https://github.com/Tencent/bk-bcs  
