﻿# Contributing to bk-sops
[Report Issues](https://github.com/Tencent/bk-sops/issues) and [Pull requests](https://github.com/Tencent/bk-sops/pulls) are always welcomed. Please read the following before code contribution


## Issue Management
We use Github Issues to track public bugs and feature requests.


### Search for known Issues first 
Please search for existing or similar issues first to avoid reporting the same issue again.


### Create Issue
When creating an issue, please provide a detailed description, screenshot or a video clip to help us locate the problem.


###  Pull Requests

Everyone can make contributions to make SOPS more powerful. The code team will monitor all pull requests and perform corresponding code review and tests. Once the code pass the test, will will accept the PR. However, it will not be merged to master immediately.

Please do the following before completing a PR: 

1. Fork your own branch from `master` or `hotfix`.
2. Please modify the corresponding document and comment after changing the code.
3. Add license and copyright statement in the created file
4. Make sure the coding style is consistent.
5. Perform adequate tests.
6. Then, you may submit your code to `dev` or `hotfix` branch.


## Code Licence
The open source protocol used by SOPS is [MIT LICENSE](../LICENSE.txt). Your code will also be protected by this protocol.
