# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2021-01-29 07:23
from __future__ import unicode_literals

from django.db import migrations, models


def load_category_data(apps, schema_editor):
    appmakers = apps.get_model("appmaker", "appmaker")
    for appmaker in appmakers.objects.all():
        appmaker.category = appmaker.task_template.category
        appmaker.save()

class Migration(migrations.Migration):
    dependencies = [
        ('appmaker', '0010_remove_appmaker_business'),
    ]

    operations = [
        migrations.AddField(
            model_name='appmaker',
            name='category',
            field=models.CharField(
                choices=[('OpsTools', '运维工具'), ('MonitorAlarm', '监控告警'), ('ConfManage', '配置管理'), ('DevTools', '开发工具'),
                         ('EnterpriseIT', '企业IT'), ('OfficeApp', '办公应用'), ('Other', '其它')], default='',
                max_length=255, verbose_name='模板类型'),
        ),
        migrations.RunPython(load_category_data),
        migrations.AlterField(
            model_name='appmaker',
            name='category',
            field=models.CharField(
                choices=[('OpsTools', '运维工具'), ('MonitorAlarm', '监控告警'), ('ConfManage', '配置管理'), ('DevTools', '开发工具'),
                         ('EnterpriseIT', '企业IT'), ('OfficeApp', '办公应用'), ('Other', '其它')], max_length=255,
                verbose_name='模板类型'),
        ),
    ]
