# -*- coding: utf-8 -*-
"""
Tencent is pleased to support the open source community by making 蓝鲸智云PaaS平台社区版 (BlueKing PaaS Community
Edition) available.
Copyright (C) 2017-2019 THL A29 Limited, a Tencent company. All rights reserved.
Licensed under the MIT License (the "License"); you may not use this file except in compliance with the License.
You may obtain a copy of the License at
http://opensource.org/licenses/MIT
Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
specific language governing permissions and limitations under the License.
"""

from pipeline.core.constants import PipelineElement


class PipelineWebElement(PipelineElement):
    """
    @summary: pipeline web tree keys
    """
    # node type
    startpoint = 'startpoint'
    endpoint = 'endpoint'
    tasknode = 'tasknode'
    subflow = 'subflow'
    branchgateway = 'branchgateway'
    parallelgateway = 'parallelgateway'
    convergegateway = 'convergegateway'
    conditionalparallelgateway = 'conditionalparallelgateway'

    # node attr
    labels = 'labels'
    group = 'group'
    icon = 'icon'

    # location
    location = 'location'
    x_coordinate = 'x'
    y_coordinate = 'y'

    # line
    line = 'line'
    arrow = 'arrow'
    left = 'Left'
    right = 'Right'
    top = 'Top'
    bottom = 'Bottom'
    WebFlowArrow = {
        'left': left,
        'right': right,
        'top': top,
        'bottom': bottom
    }


PWE = PipelineWebElement()
